/*
 *  SokoBan, a Sokoban game.
 *  Copyright (C) 2008  Colomban Wendling <ban@herbesfolles.org>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef __I18N_H__
#define __I18N_H__


#if ENABLE_NLS

#include <libintl.h>
#include <locale.h>

/* the encoding used for display, which should be returned by gettext */
#define ENCODING "UTF-8"


#define _(string) gettext (string) 

#else // ENABLE_NLS

#define _(string) string

#endif // ENABLE_NLS

int i18n_init (void);


#endif /* guard */
